Test::Unit::Test(3pm)

NAME
Test::Unit::Test - unit testing framework abstract base class

SYNOPSIS
This class is not intended to be used directly

DESCRIPTION
This class is used by the framework to define the interface of a test. It is an abstract base class implemented by Test::Unit::TestCase and Test::Unit::TestSuite.

Due to the nature of the Perl OO implementation, this class is not really needed, but rather serves as documentation of the interface.

AUTHOR
Copyright (c) 2000-2002, 2005 the PerlUnit Development Team (see Test::Unit or the AUTHORS file included in this distribution).

All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO

•   Test::Unit::Assert

•   Test::Unit::TestCase

•   Test::Unit::TestSuite